<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.nugendaycare.nugendaycare">

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.NETWORK" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.USE_CREDENTIALS" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".controller.SplashScreenActivity"
            android:label="@string/app_name"
            android:theme="@style/AppTheme.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".controller.MainActivity"
            android:label="@string/title_activity_account"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".controller.AccountActivity"
            android:label="@string/title_activity_account"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".controller.ValuationActivity"
            android:label="@string/title_activity_valuation"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".controller.ProfileActivity"
            android:label="@string/title_activity_profile"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".controller.DetailNannyActivity"
            android:label="@string/title_activity_detail_nanny"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".controller.DetailValuationActivity"
            android:label="@string/title_activity_detail_valuation"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".controller.RegisterChildActivity"
            android:label="@string/title_activity_register_child"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".controller.ProfileChildActivity"
            android:label="@string/title_activity_profile_child"
            android:theme="@style/AppTheme.NoActionBar"></activity>
    </application>

</manifest>